curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasonsimport requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"CancelReason\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\" }, { \"object\": \"CancelReason\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\" }, { \"object\": \"CancelReason\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\" }, { \"object\": \"CancelReason\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\" }, { \"object\": \"CancelReason\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\" }, { \"object\": \"CancelReason\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\" }, { \"object\": \"CancelReason\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\" }, { \"object\": \"CancelReason\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\" }, { \"object\": \"CancelReason\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\" }, { \"object\": \"CancelReason\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\" }, { \"object\": \"CancelReason\", \"reason_code\": \"8885\", \"description\": \"No longer required for subscriber\" } ], \"total_count\": 16, \"url\": \"/cancel_reasons\" }"{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Returns cancel reasons
Retrieves list of cancel reasons.
curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasonsimport requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/cancel_reasons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"CancelReason\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\" }, { \"object\": \"CancelReason\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\" }, { \"object\": \"CancelReason\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\" }, { \"object\": \"CancelReason\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\" }, { \"object\": \"CancelReason\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\" }, { \"object\": \"CancelReason\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\" }, { \"object\": \"CancelReason\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\" }, { \"object\": \"CancelReason\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\" }, { \"object\": \"CancelReason\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\" }, { \"object\": \"CancelReason\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\" }, { \"object\": \"CancelReason\", \"reason_code\": \"8885\", \"description\": \"No longer required for subscriber\" } ], \"total_count\": 16, \"url\": \"/cancel_reasons\" }"{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Headers
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
16The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
Query Parameters
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
16A limit on the number of objects to be returned, between 1 and 100.
x >= 1Response
JSON A list array with a data property that contains an array of up to limit CancelReason, starting after the specified starting_after TimeInterval (or ending before the specified ending_before TimeInterval). If no more TimeIntervals are available, the resulting array will be empty. This request should never throw an error.
A list of CancelReason objects matching the query. Also:
-
“total_count”: Integer count of the number of CancelReason in the returned list.
-
“url”: The query string provided in the request
-
“next”: The route (partial URL) to the next CancelReason object (string to select the “next”); included vid should match that of the last object returned here
-
“previous”: The route (partial URL) to the previous CancelReason object (string to select the “previous”); included vid should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next CancelReason object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous CancelReason object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"CancelReason\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\" }, { \"object\": \"CancelReason\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\" }, { \"object\": \"CancelReason\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\" }, { \"object\": \"CancelReason\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\" }, { \"object\": \"CancelReason\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\" }, { \"object\": \"CancelReason\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\" }, { \"object\": \"CancelReason\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\" }, { \"object\": \"CancelReason\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\" }, { \"object\": \"CancelReason\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\" }, { \"object\": \"CancelReason\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\" }, { \"object\": \"CancelReason\", \"reason_code\": \"8885\", \"description\": \"No longer required for subscriber\" } ], \"total_count\": 16, \"url\": \"/cancel_reasons\" }"
Was this page helpful?

